DummyClassGenerator (groovy 2.4.16 API)
Date: 2018-12-09

Package: org.codehaus.groovy.classgen

## [Java] Class DummyClassGenerator

- org.codehaus.groovy.classgen.DummyClassGenerator

- To generate a class that has all the fields and methods, except that fields are not initialized and methods are empty. It's intended for being used as a place holder during code generation of reference to the "this" class itself.

  Authors:
    James Strachan
    Bing Ran

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ClassGenerator` | `innerClasses`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DummyClassGenerator (GeneratorContext context, org.objectweb.asm.ClassVisitor classVisitor, ClassLoader classLoader, String sourceFile)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected CompileUnit` | `getCompileUnit()`
    `` | `void` | `visitAnnotations(AnnotatedNode node)`
    `` | `void` | `visitClass(ClassNode classNode)`
    `` | `void` | `visitConstructor(ConstructorNode node)`
    `` | `void` | `visitField(FieldNode fieldNode)`
    `` | `void` | `visitMethod(MethodNode node)`
    `` | `protected void` | `visitParameter(ASTNode node, Parameter parameter)`
    `` | `protected void` | `visitParameters(ASTNode node, Parameter[] parameters)`
    `` | `void` | `visitProperty(PropertyNode statement)` Creates a getter, setter and field

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassGenerator` | `getInnerClasses, getSourceUnit, visitBytecodeSequence`
    `class ClassCodeVisitorSupport` | `addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`
    `class CodeVisitorSupport` | `visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public DummyClassGenerator(GeneratorContext context, org.objectweb.asm.ClassVisitor classVisitor, ClassLoader classLoader, String sourceFile)

  - ### Method Detail

    - #### protected CompileUnit getCompileUnit()

    - #### public void visitAnnotations(AnnotatedNode node)

    - #### public void visitClass(ClassNode classNode)

    - #### public void visitConstructor(ConstructorNode node)

    - #### public void visitField(FieldNode fieldNode)

    - #### public void visitMethod(MethodNode node)

    - #### protected void visitParameter(ASTNode node, Parameter parameter)

    - #### protected void visitParameters(ASTNode node, Parameter[] parameters)

    - #### public void visitProperty(PropertyNode statement)

      Creates a getter, setter and field